<template>
    <div id="category">
      <!--头部-->
      <!-- <Header/> -->
      <div class="header-title">
        <span class="header-title-return-back" @click="returnClick"><van-icon name="arrow-left" /></span>
        <span class="header-title-name">被执行人详情</span>
      </div>
  
      <div class="manage-body">
        <van-cell-group>
          <van-cell title="案号" :value="judgmentDebtorInfoData.anNo" />
          <van-cell title="被执行人" :value="judgmentDebtorInfoData.name" />
          <van-cell title="案件时间" :value="judgmentDebtorInfoData.lianDate" />
          <van-cell title="执行标的" :value="judgmentDebtorInfoData.biaodi" />
          <van-cell title="执行法院" :value="judgmentDebtorInfoData.executeGov" />
        </van-cell-group>
      </div>
    </div>

  </template>
  
  <script>
  import { Button, Col, Row, Icon, Field } from 'vant';

  
  export default {
    name: "JudgmentDebtorInfoDetail",

    data() {
      return {
        judgmentDebtorInfoData: {},
      }
    },
    components: {
      VanButton: Button,
      VanRow: Row,
      VanCol: Col,
      VanIcon: Icon,
      VanField: Field,
    },
    created() {
      this.judgmentDebtorInfoData = JSON.parse(sessionStorage.getItem('judgmentDebtorInfoData'))
    },
    methods: {
      returnClick() {
        sessionStorage.removeItem('judgmentDebtorInfoData')
        if (sessionStorage.getItem('jumpType')) {
          if (sessionStorage.getItem('jumpType') == 'category') {
            this.$router.push({path: 'Category'})
          } else {
            this.$router.push({path: '/MonitorStation'})
          }
        } else {
          this.$router.push({path: 'JudgmentDebtorInfo'})
        }
      },

    },
  }
  </script>
  
  <style lang="less" scoped>
  
  .header-title {
    height: 46px;
    width: 100%;
    background-color: #fff;
    text-align: center;
  }
  .header-title-name {
    font-weight: bold;
    line-height: 46px;
    align-items: center;
    justify-content: center;
    display: inline-flex;
  }
  .header-title-return {
    position: absolute;
    top: 13px;
    left: 20px;
    font-size: 15px;
  }
  .manage-body {
    margin-top: 10px;
    background-color: #fff;
    padding: 20px 10px 0px 10px;
  }
  /deep/ .van-nav-bar__text {
    color: gray !important;
    font-weight: bold;
  }
  .icon-mg {
    margin-left: 3px;
  }
  /deep/ .van-card__thumb {
    width: 60px;
  }
  /deep/ .van-cell__value {
    bottom: 5px;
  }
  /deep/ .van-cell {
    padding-right: 0px !important;
  }
  </style>../../service/api/index